

[data-spoiler] {

	&.open {

        .spoiler {

            &__arrow {
                transform: rotate(180deg);
                transition: .3s;
            }
        }
	}
}

[data-spoiler-control] {
    cursor: pointer;
}

[data-spoiler-content] {
    display: none;
}

.spoiler {
    padding: rem(20) rem(16) rem(20) rem(16);
    border-top: 1px solid #8a8d8f;
    border-bottom: 1px solid #8a8d8f;

    &__header {
        margin: 0;
        width: 100%;
        border: none;
        outline: none;
        stroke: black;
        cursor: pointer;
        background: transparent;
        display: flex;
        column-gap: rem(16);
        align-items: center;
        justify-content: space-between;
    }

    &__arrow {
        stroke: white;
        font-size: 0;
        line-height: 0;
        width: rem(20);
        height: rem(20);
        display: block;
        flex-shrink: 0;
        transform: rotate(0deg);
        transition: .3s;
    }

    &__title {
        font-weight: 600;
        font-size: rem(16);
        line-height: rem(22);
        display: block;
    }

    &__content {
        font-size: rem(16);
        line-height: rem(22);

        p {
            margin-bottom: rem(12);

            &:last-child {
                margin-bottom: 0;
            }
        }
    }

    &__wrap {
        padding-top: rem(12);
    }

    @include media-breakpoint-up(md) {
        padding: rem(24) rem(16) rem(24) rem(16);
    }
}
